# Tegridy MIDI

## Tools for reading, writing, and manipulating MIDIs

![Tegridy MIDI Logo](https://github.com/user-attachments/assets/6b1f98e1-255c-4e76-ba24-46f37ad36b46)

***

# Installation

## CPU

```sh
sudo apt-get install fluidsynth
pip install tegridymidi
```

## GPU

```sh
sudo apt-get install fluidsynth
pip install tegridymidi[cuda]
```

***

# Modules imports

## All modules functions

```python
# This will import all modules (functions) except midi_to_colab_audio module and legacy modules
from tegridymidi import *
```

## Individual modules functions

```python
# This will import individual modules (recommended)
from tegridymidi import processors
from tegridymidi import chords
from tegridymidi import misc
from tegridymidi import midi_to_colab_audio
# etc..
```

***

# Quick Start Guide

## [Example code snippets and scripts](https://github.com/asigalov61/tegridymidi/tree/main/tegridymidi/examples)

***

# Detailed modules documentation

## [tegridymidi docs](https://github.com/asigalov61/tegridymidi/tree/main/docs)

***

```bibtex
@inproceedings{lev2024tegridymidi,
    title       = {tegridymidi: Tools for reading, writing, and manipulating MIDIs},
    author      = {Aleksandr Lev},
    booktitle   = {GitHub},
    year        = {2024},
}
```
***

### Project Los Angeles
### Tegridy Code 2024
